summaryrefslogtreecommitdiffstats
path: root/src/3rdparty/zlib/import_from_zlib_tarball.sh
diff options
context:
space:
mode:
authorThiago Macieira <thiago.macieira@intel.com>2017-08-07 13:53:05 -0700
committerSimon Hausmann <simon.hausmann@qt.io>2017-08-08 11:48:10 +0200
commit883dfb3d156431eeb3ffc8f02a09c89bb7fa7d46 (patch)
treed4c2b3d096e1d5c64be698b5d0cd8c8bae35b2b4 /src/3rdparty/zlib/import_from_zlib_tarball.sh
parent5a9b1425e187bc77122354cf7446bcf6bb322ff4 (diff)
parentb75bc0f75c09b192dba68449b009cdf175519dbd (diff)
Merge remote-tracking branch 'origin/5.9' into dev
Conflicts: src/widgets/kernel/qwidget.cpp This merge also extends the expected output of the pairdiagnostics teamcity output (added in dev in commit c608ffc56ab37f9a9d5b9c34543126adb89e2b08) after the recent addition of the flowId attribute to the teamcity output (commit 8f036562119dd35ce51dc9230304d893b906bd37 in 5.9). Change-Id: I3868166e5efc45538544fffd14d8aba438f9173c
Diffstat (limited to 'src/3rdparty/zlib/import_from_zlib_tarball.sh')
-rwxr-xr-xsrc/3rdparty/zlib/import_from_zlib_tarball.sh112
1 files changed, 112 insertions, 0 deletions
diff --git a/src/3rdparty/zlib/import_from_zlib_tarball.sh b/src/3rdparty/zlib/import_from_zlib_tarball.sh
new file mode 100755
index 0000000000..5251f43d33
--- /dev/null
+++ b/src/3rdparty/zlib/import_from_zlib_tarball.sh
@@ -0,0 +1,112 @@
+#! /bin/sh
+#############################################################################
+##
+## Copyright (C) 2017 André Klitzing
+## Contact: https://www.qt.io/licensing/
+##
+## This file is the build configuration utility of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# This is a small script to copy the required files from a zlib tarball
+# into 3rdparty/zlib/
+
+if [ $# -ne 2 ]; then
+ echo "Usage: $0 zlib_tarball_dir/ \$QTDIR/src/3rdparty/zlib/"
+ exit 1
+fi
+
+ZLIB_DIR=$1
+TARGET_DIR=$2
+
+if [ ! -d "$ZLIB_DIR" -o ! -r "$ZLIB_DIR" -o ! -d "$TARGET_DIR" -o ! -w "$TARGET_DIR" ]; then
+ echo "Either the zlib source dir or the target dir do not exist,"
+ echo "are not directories or have the wrong permissions."
+ exit 2
+fi
+
+# with 1 argument, copies ZLIB_DIR/$1 to TARGET_DIR/$1
+# with 2 arguments, copies ZLIB_DIR/$1 to TARGET_DIR/$2
+copy_file() {
+ if [ $# -lt 1 -o $# -gt 2 ]; then
+ echo "Wrong number of arguments to copy_file"
+ exit 3
+ fi
+
+ SOURCE_FILE=$1
+ if [ -n "$2" ]; then
+ DEST_FILE=$2
+ else
+ DEST_FILE=$1
+ fi
+
+ mkdir -p "$TARGET_DIR/$(dirname "$SOURCE_FILE")"
+ cp "$ZLIB_DIR/$SOURCE_FILE" "$TARGET_DIR/$DEST_FILE"
+}
+
+FILES="
+ README
+ ChangeLog
+
+ adler32.c
+ compress.c
+ crc32.c
+ crc32.h
+ deflate.c
+ deflate.h
+ gzclose.c
+ gzguts.h
+ gzlib.c
+ gzread.c
+ gzwrite.c
+ infback.c
+ inffast.c
+ inffast.h
+ inffixed.h
+ inflate.c
+ inflate.h
+ inftrees.c
+ inftrees.h
+ trees.c
+ trees.h
+ uncompr.c
+ zconf.h
+ zlib.h
+ zutil.c
+ zutil.h
+
+"
+
+for i in $FILES; do
+ copy_file "$i" "src/$i"
+done